<?php 
$http_host = str_replace("www.", "", $_SERVER['HTTP_HOST']); 
if($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['domain'])){
    header('Location: /www/'.$_POST['domain'].'.html');
    exit();
} 
?>
<!doctype html>
<html>
  <head>
      <meta name="robots" content="noindex">
    <meta name="robots" content="nofollow">
    <title>Website Linking Analyzer | Analyze a Domain | <?php echo $http_host; ?></title>
    <?php include('template/ehead.php');?>
	 <link rel="canonical" href="https://<?php echo $http_host; ?>/">
    <link rel="alternate" hreflang="x-default" href="https://<?php echo $http_host; ?>/">
    <link rel="alternate" hreflang="en" href="https://<?php echo $http_host; ?>/">
	<meta prefix="og: http://ogp.me/ns#" property="og:url" content="https://https://<?php echo $http_host; ?>/" />
</head>
<body>
<?php include 'template/header.php'; ?>
     
 <main>
  <div class="container">
  <center><h2>Analyze a Domain</h2></center>
  
  <div class="form">
   <form action="" method="POST">
                <section class="search-field">
                    <input name="domain" type="text"  id="input" value="<?php echo $_GET['domain']; ?>" placeholder="<?php echo $http_host; ?>" required/>
                    <button  type="submit">Analyze</button>
                 </section>
   </form>
               
             </div>  
               
 
 
 
    </div>   
    
    
  <div class="container">
  <center><h2>Latest Analyzed Domains</h2></center>
  
    <center>
   
   <?php
// RSS feed URL
$rss_url = 'https://syndicationapp.com/domain_rss.xml';

// Load RSS feed
$rss_feed = simplexml_load_file($rss_url);

if ($rss_feed === false) {
    echo "Failed to load RSS feed.";
    exit;
}

// Display feed title and items
echo "<div class='row'>";
foreach ($rss_feed->channel->item as $item) {
   echo '
         <div class="fixed-feature-card">
         <br />
            <div class="imageContainer">
                <img alt="" id="targetImage" loading="lazy" width="100" height="100" 
				src="https://www.google.com/s2/favicons?domain=' . $item->domain . '" />
            </div> 
            <a class="tags" href="http://' . $http_host . '/www/' . $item->domain . '.html">' . $item->domain . '</a><br />
			<p>' . $item->description . '</p>
			<br />
        </div>';
 
	      
}
echo "</div>";
?>


 
    </center>
    
      </div>   
    
    
 </main>
  
<?php include 'template/footer.php'; ?>
</body>
</html>